### A free/open-source library for quantitative finance

Public Member Functions
FDDividendEuropeanEngine< Scheme > Class Template Reference
Vanilla option engines

Finite-differences pricing engine for dividend European options. More...

`#include <ql/pricingengines/vanilla/fddividendeuropeanengine.hpp>`

Inherits FDEngineAdapter< base, engine >.

List of all members.

## Public Member Functions

| FDDividendEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEuropeanEngine< Scheme >

Finite-differences pricing engine for dividend European options.

Tests:
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.
  - the invariance of the results upon addition of null dividends is tested.